package com.ruoyi.project.hit.controller;

import com.ruoyi.framework.web.controller.BaseController;
import com.ruoyi.framework.web.page.TableDataInfo;
import com.ruoyi.project.hit.domain.vo.SelectLogVO;
import com.ruoyi.project.hit.service.PupuLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;

@RestController
@RequestMapping("/hit/log")
public class PupuLogController extends BaseController {
    @Autowired
    private PupuLogService pupuLogService;

    /**
     * 日志查询（分页）
     * @param selectLogVO
     * @return
     */
    @PostMapping("/select")
    public TableDataInfo select(@RequestBody SelectLogVO selectLogVO){
        List<HashMap> select = pupuLogService.select(selectLogVO);
        return getDataTable(select);
    }
}
