package com.ruoyi.project.hit.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @TableName pupu_log
 */
@TableName(value ="pupu_log")
@Data
public class PupuLog implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer logId;

    private String logEvent;

    private Integer logSort;

    @TableField(fill = FieldFill.INSERT)
    private Date time;

    private Integer userId;

    private static final long serialVersionUID = 1L;

    public PupuLog(String logEvent, Integer logSort, Date time) {
        this.logEvent = logEvent;
        this.logSort = logSort;
        this.time = time;
    }

    public PupuLog(String logEvent, Integer logSort, Date time, Integer userId) {
        this.logEvent = logEvent;
        this.logSort = logSort;
        this.time = time;
        this.userId = userId;
    }
}