package com.ruoyi.project.hit.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @TableName pupu_ups_history
 */
@TableName(value ="pupu_ups_history")
@Data
public class PupuUpsHistory implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer upsId;

    private String identifier;

    private Date time;

    private String value;

    private String dataType;

    private String name;

    private String accessMode;

    private static final long serialVersionUID = 1L;

    public PupuUpsHistory(Integer upsId, String identifier, Date time, String value, String dataType, String name, String accessMode) {
        this.upsId = upsId;
        this.identifier = identifier;
        this.time = time;
        this.value = value;
        this.dataType = dataType;
        this.name = name;
        this.accessMode = accessMode;
    }
}