package com.ruoyi.project.hit.service;

import com.ruoyi.project.hit.domain.PupuEquipment;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author HP
* @description 针对表【pupu_equipment】的数据库操作Service
* @createDate 2024-09-05 16:50:18
*/
public interface PupuEquipmentService extends IService<PupuEquipment> {

    int add(PupuEquipment pupuEquipment, Integer userId);

    int del(Integer equipmentId, Integer userId);

    List<PupuEquipment> selectByStoreId(Integer storeId);

    /**
     * 修改设备状态
     * @param equipmentId
     * @param i （status状态）
     * @return
     */
    int updateEquipmentStatus(Integer equipmentId,int i);
}
