package com.ruoyi.project.hit.util;

import com.ruoyi.project.hit.domain.PupuUpsHistory;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;

import java.io.IOException;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class Util1 {
    public static Map<Integer, Long> upsMap=new HashMap<>();

    public static String getdetail() throws IOException {
        OkHttpClient client = new OkHttpClient().newBuilder()
                .build();
        Request request = new Request.Builder()
                .url("https://iot-api.heclouds.com/thingmodel/query-device-property?product_id=Tz9a5iUEkS&device_name=shante")
                .addHeader("Authorization", "version=2022-05-01&res=products%2FTz9a5iUEkS%2Fdevices%2Fshante&et=2079998482&method=md5&sign=Gf925YWwSO7SAlOKY98l2Q%3D%3D")
                .build();
        Response response = client.newCall(request).execute();
        return (response.body().string());
    }

    public static String convertToCamelCase(String input) {
        StringBuilder result = new StringBuilder();
        boolean nextUpperCase = false;

        for (char c : input.toCharArray()) {
            if (c == '_') {
                nextUpperCase = true;
            } else if (nextUpperCase) {
                result.append(Character.toUpperCase(c));
                nextUpperCase = false;
            } else {
                result.append(c);
            }
        }

        // 如果字符串以下划线开头，则结果需要首字母大写
        if (Character.isLowerCase(result.charAt(0)) && input.startsWith("_")) {
            result.setCharAt(0, Character.toUpperCase(result.charAt(0)));
        }

        return result.toString();
    }

    //将map转为需要的pupuUpsHistory对象
    public static PupuUpsHistory getHistoryFromMap(Map<String, Object> map) {
        PupuUpsHistory history=null;

        history = new PupuUpsHistory(11,(String) map.get("identifier"),new Date((Long) map.get("time")) ,
                (String) map.get("value"),(String) map.get("data_type"),(String) map.get("name"),(String) map.get("access_mode"));

        upsMap.put(11, (Long) map.get("time"));
        return history;
    }


}
