package com.ruoyi.project.hit.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @TableName pupu_store
 */
@TableName(value ="pupu_store")
@Data
public class PupuStore implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer storeId;

    @NotBlank(message = "店名不能为空")
    private String storeName;

    @NotBlank(message = "经度不能为空")
    private String longitude;

    @NotBlank(message = "纬度不能为空")
    private String latitude;

    @NotBlank(message = "省不能为空")
    private String province;

    @NotBlank(message = "市不能为空")
    private String city;

    @NotBlank(message = "县/区不能为空")
    private String district;

    private Integer status;

    private static final long serialVersionUID = 1L;
}