package com.ruoyi.project.hit.service;

import com.ruoyi.project.hit.domain.PupuUpsHistory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.hit.domain.vo.UpsHistoryVO;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* @author HP
* @description 针对表【pupu_ups_history】的数据库操作Service
* @createDate 2024-09-04 13:45:24
*/
public interface PupuUpsHistoryService extends IService<PupuUpsHistory> {

    List<HashMap> select(UpsHistoryVO upsHistoryVO);

    Map<String, Object> selectLatestHistory(Integer upsId);

    /**
     * 拿到当前设备第一次运行时间
     * @param upsId
     * @return
     */
    Map<String,Object> getFirstRunTime(Integer upsId);


}
